.homePageDiv {
    display: flex;
    justify-content: space-between;
    position: relative;
    height: 672px;
    width: 100%;
    padding: 0px 24px 20px 24px;
}
.homePageGameSection {
    height: 652px;
    width: 816px;
}
.homePageChatOPSection {
    display: block;
    height: 100%;
    width: 400px;
    border-radius: 12px;
    background-color: #183749;
    align-items: center;
}
.homePageChatOPHeader {
    display: flex;
    height: 56px;
    padding-top: 16px;
    padding-right: 16px;
    padding-left: 16px;
    gap: 8px;
}
.homePageChatOPHeaderNav {
    display: flex;
    height: 40px;
    border-radius: 20px;
    border: 1px solid rgba(255, 255, 255, 0.2);
}
.homePageChatOPHeaderNavOP {
    display: flex;
    min-width: 40px;
    padding: 8px 16px;
    gap: 12px;
    border-right: 1px solid #FFFFFF33;
    border-radius: 20px 0px 0px 20px;
    justify-content: center;
    align-items: center;
}
.homePageChatOPHeaderNavOPImg {
    width: 20px;
    height: 20px;
}
.homePageChatOPHeaderNavChat {
    display: flex;
    min-width: 40px;
    padding: 8px 24px 8px 16px;
    gap: 12px;
    border-radius: 0px 20px 20px 0px;
    justify-content: center;
    align-items: center;
}
.homePageChatOPHeaderNavChatImg {
    width: 20px;
    height: 20px;
}
.homePageChatOPHeaderNavChatLabel {
    min-width:30px;
    color: #FFFFFF;
    text-align: center;
    font-size: 12px;
    font-weight: 500;
    letter-spacing:0.46px;
    line-height: 20px;
}
.homePageChatOPHeaderNavOPBadge {
    position: absolute;
    width: 8px;
    height: 8px;
    border-radius: 100px;
    border: 1px solid #305D6D;
    background: #66BB6A;
    left: 902px;
    top: 39px;
}

.homePageChatOPContent {
    position: relative;
    width: 100%;
    height: 596px;
}
.homePageChatOPContentOP {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.homePageOPComponent {
    display: flex;
    width: 100%;
    height: 100%;
    padding: 16px 16px 24px 16px;
}
.homePageOPComponentList {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    overflow-x: hidden;
    margin: 0;
}
.homePageOPComponentListItem {
    display: flex;
    height: 46px;
    align-items: center;
    justify-content: center;
    padding: 8px 16px;
    gap: 12px;
}
.homePageOPComponentListItem,
.homePageOPComponentListItem * {
    cursor: pointer;
}
.homePageOPComponentListItem:hover {
    background: rgba(255, 255, 255, 0.08);
}
.homePageOPComponentListItemLeft {
    display: flex;
    position: relative;
    height: 24px;
    width: 24px;
    align-items: center;
    border-radius: 100px;
    background: #7D99AA;
}
.homePageOPComponentListItemLeftLabel {
    width: 24px;
    color: #121212;
    text-align: center;
    font-size: 12px;
    font-weight: 400;
    line-height: 12px;
    text-transform: uppercase;
}
.homePageOPComponentListItemLeftBadge {
    position: absolute;
    width: 12px;
    height: 12px;
    left: 16px;
    top: 16px;
    border-radius: 100px;
    border: 2px solid #183749;
}
.homePageOPComponentListItemLeftBadgeA {
    background: #66BB6A;
}
.homePageOPComponentListItemLeftBadgeP {
    background: #F44336;
}
.homePageOPComponentListItemLeftBadgeK {
    background: #FFA726;
}
.homePageOPComponentListItemLeftBadgeOffline {
    /*opacity: 0.5;*/
    background: #A8BBC6;
}
.homePageOPComponentListItemText {
    display: flex;
    width: 258px;
    padding: 4px 0;
    align-items: flex-start;
    color: #FFF;
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
}
.homePageOPComponentListItemInfo {
    display: flex;
    opacity: 0;
    width: 30px;
    height: 30px;
    padding: 5px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.homePageOPComponentListItemInfoImg {
    padding: 5px;
}
.homePageOPComponentListItem:hover .homePageOPComponentListItemInfo {
    opacity: 1;
}

.homePageChatOPContentChat {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.homePageChatOPContentChatGroup {
    display: grid;
    width: 100%;
    height: 100%;
}
.homePageChatOPContentChat1 {
    display: block;
    width: 100%;
    height: 522px;
    padding: 8px 1px 5px 16px;
}
.homePageChatOPContentChat1TextArea {
    display: grid;
    gap: 8px;
    overflow-x: hidden;
}
.homePageChatOPContentChat1Message {
    display: grid;
    width: 368px;
    min-height: 56px;
    gap: 8px;
    background-color: #1D475F;
    border-radius: 12px;
    padding: 8px;
}
.homePageChatOPContentChat1Message1 {
    display: flex;
    justify-content: space-between;
    width: 352px;
    height: 12px;
}
.homePageChatOPContentChat1Message1User {
    width: 280px;
    color: rgba(255, 255, 255, 0.7);
    text-align: left;
    font-size: 12px;
    font-weight: 600;
    letter-spacing: 0.15px;
    line-height: 12px;
}
.homePageChatOPContentChat1Message1Time {
    width: 48px;
    color: rgba(255, 255, 255, 0.7);
    text-align: right;
    font-size: 12px;
    font-weight: 400;
    letter-spacing:0.15px;
    line-height: 12px;
}
.homePageChatOPContentChat1Message2 {
    width: 248px;
    color: #FFFFFF;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    letter-spacing:0.17px;
    line-height: 20px;
    overflow-wrap: break-word;
    word-break: break-word;
}
.homePageChatOPContentChat1MessageTime {
    display: block;
    width: 368px;
    color: rgba(255, 255, 255, 0.7);
    text-align: left;
    font-size: 12px;
    font-weight: 400;
    letter-spacing:0.15px;
    line-height: 12px;
    overflow-wrap: break-word;
    word-break: break-word;
}
.homePageChatOPContentChat1Message3 {
    display: flex;
    width: 368px;
    padding: 6px 16px;
    align-items: flex-start;
    border-radius: 20px;
    background: linear-gradient(0deg, rgba(255, 167, 38, 0.16) 0%, rgba(255, 167, 38, 0.16) 100%), #183749;
}
.homePageChatOPContentChat1Message3Alert {
    display: flex;
    padding: 7px 12px 7px 0;
    align-items: flex-start;
}
.homePageChatOPContentChat1Message3AlertIcon {
    display: flex;
    width: 22px;
    height: 22px;
    align-items: flex-start;
}
.homePageChatOPContentChat1Message3Text {
    padding: 8px 0;
    color: #FFE2B7;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
}

.homePageChatOPContentChat2 {
    display: block;
    width: 100%;
    height: 74px;
    padding: 16px;
    border-top: 1px solid #265571;
}
.homePageChatOPContentChat2Input {
    display: block;
    width: 368px;
    height: 42px;
    border: 0;
    color: #FFFFFF;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    letter-spacing:0.15px;
    line-height: 24px;
    background-color: #265571;
    border-radius: 12px;
    padding: 9px 40px 8px 12px;
}
.homePageChatOPContentChat2Input::placeholder {
    color: rgba(255, 255, 255, 0.38);
}
.homePageChatOPContentChat2Input:focus {
    outline: none;
    box-shadow: none;
}
.homePageChatOPContentChat2SendImg {
    position: absolute;
    width: 21px;
    height: 18px;
    top: 550px;
    left: 348px;
}

.homePageCreateGame {
    position: absolute;
    width: 48px;
    height: 48px;
    top: 588px;
    left: 776px;
    padding: 12px;
    border-radius: 100px;
}
.homePageCreateGameImg {
    width: 24px;
    height: 24px;
}